Subject: RE: [Simple] Request URI and To header in SUBSCRIBE request

From: <[email-masked]>
Date: Tue, 10 Oct 2006 14:13:17 +0300

Sorry for the unfinished sentence "Could please someone responsible
comment on this?", I intended to write something like "responsible for
this area" but I got disturbed and then sent it without finishing it.

Silvestr

>-----Original Message-----
>From: Peknik Silvestr
>Sent: Tuesday, October 10, 2006 1:08 PM
>To: 'Hartley Mendoza'; [email-masked]
>Subject: RE: [Simple] Request URI and To header in SUBSCRIBE request
>
>Hi again,
>
>I still am not sure about this.
>
>Lets say that watcher puts pres uri as the Request URI. According to
>rfc3261, he should set To header to the same value. The network
replaces
>the pres URI in R-URI with SIP URI. Now the Presence Server receives
>request where in R-URI is SIP URI, and To header contains pres URI. I
read
>some discussion, where was stated that entity attribute in NOTIFY
messages
>should be set to the same value the watcher used in the subscription -
it
>was "least surprise" rule. So my opinion is that PS should use To
header to
>identify the target of the SUBSCRIBE request.
>
>Could please someone responsible comment on this?
>
>Thank you,
>Silvestr
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple